1 Reply Latest reply: Feb 4, 2013 7:29 PM by Alchroma
huguesLM Level 1 Level 1 (0 points)

I have a brand new macbook pro and i cant instal final cut express 4 because it is too old


MacBook Pro, iOS 6.1